Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.service
Class ForwardingConsumer

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.processor.AbstractFilteringMessageProcessor
              org.mule.routing.MessageFilter
                  org.mule.service.ForwardingConsumer

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, InterceptingMessageProcessor, MessageProcessor, MessageSource

Deprecated.

    @Deprecated
    public class ForwardingConsumer

extends MessageFilter

`ForwardingConsumer` is used to forward an incoming event over another transport without invoking a service. This can be used to implement a bridge accross different transports.

Field Summary

Fields inherited from class org.mule.routing.MessageFilter
`filter`

Fields inherited from class org.mule.processor.AbstractFilteringMessageProcessor
`throwOnUnaccepted, unacceptedMessageProcessor`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ForwardingConsumer()` Deprecated.

Method Summary
`MuleEvent` | `processNext(MuleEvent event)` Deprecated.

Methods inherited from class org.mule.routing.MessageFilter
`accept, dispose, filterUnacceptedException, getFilter, initialise, setFilter, setFlowConstruct, setMuleContext, start, stop, toString`

Methods inherited from class org.mule.processor.AbstractFilteringMessageProcessor
`getUnacceptedMessageProcessor, handleUnaccepted, isThrowOnUnaccepted, process, setThrowOnUnaccepted, setUnacceptedMessageProcessor`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, setListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ForwardingConsumer

    public ForwardingConsumer()

  Deprecated.

Method Detail

### processNext

    public MuleEvent processNext(MuleEvent event)
                          throws MessagingException

  Deprecated.
  Overrides:
    `processNext` in class `AbstractInterceptingMessageProcessor`
  Throws:
    `MessagingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.